CfnFunctionMixinProps
- class aws_cdk.cfn_property_mixins.aws_mediatailor.CfnFunctionMixinProps(*, aws_service_request_configuration=None, concurrent_executor_configuration=None, custom_output_configuration=None, description=None, function_id=None, function_type=None, http_request_configuration=None, sequential_executor_configuration=None, tags=None, vast_request_configuration=None)
Bases:
objectProperties for CfnFunctionPropsMixin.
- Parameters:
aws_service_request_configuration (
Union[IResolvable,AwsServiceRequestConfigurationProperty,Dict[str,Any],None]) – The configuration for an AWS_SERVICE_REQUEST function. Contains the target service, target Region, and request parameters that the function uses to call an AWS service API. For more information, see AWS_SERVICE_REQUEST (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions-types-aws-service-request.html) in the MediaTailor User Guide.concurrent_executor_configuration (
Union[IResolvable,ConcurrentExecutorConfigurationProperty,Dict[str,Any],None]) – The configuration for a CONCURRENT_EXECUTOR function. A CONCURRENT_EXECUTOR runs a set of child functions in parallel, up to a maximum concurrency, and combines their output when all functions complete. For more information about functions, see Working with functions (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions.html) in the MediaTailor User Guide.custom_output_configuration (
Union[IResolvable,CustomOutputConfigurationProperty,Dict[str,Any],None]) – Configuration for custom output functions.description (
Optional[str]) – A description of the function.function_id (
Optional[str]) – The unique identifier for the function.function_type (
Optional[str])http_request_configuration (
Union[IResolvable,HttpRequestConfigurationProperty,Dict[str,Any],None]) – Configuration for HTTP request functions.sequential_executor_configuration (
Union[IResolvable,SequentialExecutorConfigurationProperty,Dict[str,Any],None]) – The configuration for a SEQUENTIAL_EXECUTOR function. A SEQUENTIAL_EXECUTOR runs an ordered list of child functions one at a time, passing data between them. For more information about functions, see Working with functions (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions.html) in the MediaTailor User Guide.tags (
Optional[Sequence[Union[CfnTag,Dict[str,Any]]]]) – The tags to assign to the function resource.vast_request_configuration (
Union[IResolvable,VastRequestConfigurationProperty,Dict[str,Any],None]) – The configuration for a VAST_REQUEST function. Specifies the HTTP method, URL, headers, body, timeout, and output expressions for a request to a VAST endpoint. MediaTailor parses the response as VAST and resolves wrapper redirects, then makes the parsed ads available to the function’s output expressions. For more information, see Function types and composition (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions-types.html) in the MediaTailor User Guide.
- See:
http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-mediatailor-function.html
- ExampleMetadata:
fixture=_generated
Example:
from aws_cdk import CfnTag # The code below shows an example of how to instantiate this type. # The values are placeholders you should change. from aws_cdk.cfn_property_mixins import aws_mediatailor as mediatailor cfn_function_mixin_props = mediatailor.CfnFunctionMixinProps( aws_service_request_configuration=mediatailor.CfnFunctionPropsMixin.AwsServiceRequestConfigurationProperty( body="body", headers={ "headers_key": "headers" }, method_type="methodType", output={ "output_key": "output" }, request_timeout_milliseconds=123, runtime="runtime", target_region="targetRegion", target_service="targetService", url="url" ), concurrent_executor_configuration=mediatailor.CfnFunctionPropsMixin.ConcurrentExecutorConfigurationProperty( function_list=[mediatailor.CfnFunctionPropsMixin.FunctionRefProperty( alias="alias", function_id="functionId", run_condition="runCondition" )], max_concurrency=123, output={ "output_key": "output" }, runtime="runtime", timeout_milliseconds=123 ), custom_output_configuration=mediatailor.CfnFunctionPropsMixin.CustomOutputConfigurationProperty( output={ "output_key": "output" }, runtime="runtime" ), description="description", function_id="functionId", function_type="functionType", http_request_configuration=mediatailor.CfnFunctionPropsMixin.HttpRequestConfigurationProperty( body="body", headers={ "headers_key": "headers" }, method_type="methodType", output={ "output_key": "output" }, request_timeout_milliseconds=123, runtime="runtime", url="url" ), sequential_executor_configuration=mediatailor.CfnFunctionPropsMixin.SequentialExecutorConfigurationProperty( function_list=[mediatailor.CfnFunctionPropsMixin.FunctionRefProperty( alias="alias", function_id="functionId", run_condition="runCondition" )], output={ "output_key": "output" }, runtime="runtime", timeout_milliseconds=123 ), tags=[CfnTag( key="key", value="value" )], vast_request_configuration=mediatailor.CfnFunctionPropsMixin.VastRequestConfigurationProperty( body="body", headers={ "headers_key": "headers" }, method_type="methodType", output={ "output_key": "output" }, request_timeout_milliseconds=123, runtime="runtime", url="url" ) )
Attributes
- aws_service_request_configuration
The configuration for an AWS_SERVICE_REQUEST function.
Contains the target service, target Region, and request parameters that the function uses to call an AWS service API. For more information, see AWS_SERVICE_REQUEST (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions-types-aws-service-request.html) in the MediaTailor User Guide.
- concurrent_executor_configuration
The configuration for a CONCURRENT_EXECUTOR function.
A CONCURRENT_EXECUTOR runs a set of child functions in parallel, up to a maximum concurrency, and combines their output when all functions complete. For more information about functions, see Working with functions (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions.html) in the MediaTailor User Guide.
- custom_output_configuration
Configuration for custom output functions.
- description
A description of the function.
- function_id
The unique identifier for the function.
- function_type
-
- Type:
see
- http_request_configuration
Configuration for HTTP request functions.
- sequential_executor_configuration
The configuration for a SEQUENTIAL_EXECUTOR function.
A SEQUENTIAL_EXECUTOR runs an ordered list of child functions one at a time, passing data between them. For more information about functions, see Working with functions (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions.html) in the MediaTailor User Guide.
- tags
The tags to assign to the function resource.
- vast_request_configuration
The configuration for a VAST_REQUEST function.
Specifies the HTTP method, URL, headers, body, timeout, and output expressions for a request to a VAST endpoint. MediaTailor parses the response as VAST and resolves wrapper redirects, then makes the parsed ads available to the function’s output expressions. For more information, see Function types and composition (https://docs.aws.amazon.com/mediatailor/latest/ug/monetization-functions-types.html) in the MediaTailor User Guide.